## org.eclipse.emf.ocl.uml
Interface SendSignalAction

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  SendSignalActionImpl

Deprecated. Use the `SendSignalAction` interface, instead.

    @Deprecated
    public interface SendSignalAction

extends EObject

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EClass` `getSignal()` Deprecated. Returns the value of the 'Signal' reference
`void` `setSignal(EClass value)` Deprecated. Sets the value of the '`Signal`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getSignal

    EClass getSignal()

  Deprecated.
  Returns the value of the 'Signal' reference.

  If the meaning of the 'Signal' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Signal' reference.
  See Also:
    `setSignal(EClass)`, `UMLPackage.getSendSignalAction_Signal()`

### setSignal

    void setSignal(EClass value)

  Deprecated.
  Sets the value of the '`Signal`' reference.

  Parameters:
    `value` - the new value of the 'Signal' reference.
  See Also:
    `getSignal()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.